Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::Color Class Reference

`#include <Color.h>`

Inheritance diagram for tlp::Color:
[legend]
Collaboration diagram for tlp::Color:
[legend]

List of all members.

## Public Member Functions

- Color (const tlp::Vector< unsigned char, 4 > &)
- Color (const unsigned char red=0, const unsigned char green=0, const unsigned char blue=0, const unsigned char alpha=255)
- void set (const unsigned char red=0, const unsigned char green=0, const unsigned char blue=0, const unsigned char alpha=255)
- float getRGL () const
- float getGGL () const
- float getBGL () const
- float getAGL () const
- float * getGL () const
- unsigned char getR () const
- unsigned char getG () const
- unsigned char getB () const
- unsigned char getA () const
- void setR (const unsigned char red)
- void setG (const unsigned char green)
- void setB (const unsigned char blue)
- void setA (const unsigned char alpha)
- long getTrueColor ()
- int getH () const
- int getS () const
- int getV () const
- void setH (int)
- void setS (int)
- void setV (int)

## Constructor & Destructor Documentation

tlp::Color::Color | ( | const tlp::Vector< unsigned char, 4 > & | v | ) | `[inline]`

tlp::Color::Color | ( | const unsigned char | red = `0`,
|  | const unsigned char | green = `0`,
|  | const unsigned char | blue = `0`,
|  | const unsigned char | alpha = `255`
| ) |  | `[inline]`

## Member Function Documentation

unsigned char tlp::Color::getA | ( |  | ) | const`[inline]`

float tlp::Color::getAGL | ( |  | ) | const`[inline]`

unsigned char tlp::Color::getB | ( |  | ) | const`[inline]`

float tlp::Color::getBGL | ( |  | ) | const`[inline]`

unsigned char tlp::Color::getG | ( |  | ) | const`[inline]`

float tlp::Color::getGGL | ( |  | ) | const`[inline]`

float * tlp::Color::getGL | ( |  | ) | const`[inline]`

int tlp::Color::getH | ( |  | ) | const

unsigned char tlp::Color::getR | ( |  | ) | const`[inline]`

float tlp::Color::getRGL | ( |  | ) | const`[inline]`

int tlp::Color::getS | ( |  | ) | const

long tlp::Color::getTrueColor | ( |  | ) |

int tlp::Color::getV | ( |  | ) | const

void tlp::Color::set | ( | const unsigned char | red = `0`,
|  | const unsigned char | green = `0`,
|  | const unsigned char | blue = `0`,
|  | const unsigned char | alpha = `255`
| ) |  | `[inline]`

void tlp::Color::setA | ( | const unsigned char | alpha | ) | `[inline]`

void tlp::Color::setB | ( | const unsigned char | blue | ) | `[inline]`

void tlp::Color::setG | ( | const unsigned char | green | ) | `[inline]`

void tlp::Color::setH | ( | int |  | ) |

void tlp::Color::setR | ( | const unsigned char | red | ) | `[inline]`

void tlp::Color::setS | ( | int |  | ) |

void tlp::Color::setV | ( | int |  | ) |

Tulip Software by LaBRI Visualization Team 2001 - 2012